Dt/MsgLog.h(file formats)

NAME
Dt/MsgLog.h — message logging definitions

SYNOPSIS

#include &<Dt/MsgLog.h>

DESCRIPTION

The Dt/MsgLog.h header defines data types and function prototypes for the Message Logging Service.

The Dt/MsgLog.h header provides the following data type declarations:

typedef enum {
		DtMsgLogInformation,
		DtMsgLogStderr,
		DtMsgLogDebug,
		DtMsgLogWarning,
		DtMsgLogError
	} DtMsgLogType;

typedef void (*DtMsgLogHandler) (
				 const char 	*program_name,
				 DtMsgLogType	msg_type,
				 const char 	*format,
				 va_list	args );

The Dt/MsgLog.h header defines the following functions:

void DtMsgLogMesssage(
		      const char   *program_name,
		      DtMsgLogType msg_type,
		      const char   *format,
		      …);

DtMsgLogHandler DtMsgLogSetHandler(
				   DtMsgLogHandler   handler;

FILE *DtMsgLogOpenFile(
		       const char   *type,
		       char	    **filename_return);

SEE ALSO

DtMsgLogMessage(3), DtMsgLogSetHandler(3), and DtMsgLogOpenFile(3).